package com.ygtx.emcs.activity.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class StockModel implements Serializable {
    private String instockId;
    private String outstockId;
    private String boxCode;
    private String erpInstockCode;
    private String erpOutstockCode;
    private String createTime;
    private String status;
    private String createBy;
    private String remark;
    private String checkStatus;
    private Integer packageStatus;
    private String ckType;
    private List<StockLineModel> rmsTaskInstockLineList = new ArrayList<>();
    private List<StockLineModel> rmsTaskOutstockLineList = new ArrayList();
    private List<StockLineModel> wmRmsBoxItemList = new ArrayList<>();

    public String getInstockId() {
        return instockId;
    }

    public void setInstockId(String instockId) {
        this.instockId = instockId;
    }

    public String getOutstockId() {
        return outstockId;
    }

    public void setOutstockId(String outstockId) {
        this.outstockId = outstockId;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getErpInstockCode() {
        return erpInstockCode;
    }

    public void setErpInstockCode(String erpInstockCode) {
        this.erpInstockCode = erpInstockCode;
    }

    public String getErpOutstockCode() {
        return erpOutstockCode;
    }

    public void setErpOutstockCode(String erpOutstockCode) {
        this.erpOutstockCode = erpOutstockCode;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<StockLineModel> getRmsTaskInstockLineList() {
        return rmsTaskInstockLineList;
    }

    public void setRmsTaskInstockLineList(List<StockLineModel> rmsTaskInstockLineList) {
        this.rmsTaskInstockLineList = rmsTaskInstockLineList;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<StockLineModel> getWmRmsBoxItemList() {
        return wmRmsBoxItemList;
    }

    public void setWmRmsBoxItemList(List<StockLineModel> wmRmsBoxItemList) {
        this.wmRmsBoxItemList = wmRmsBoxItemList;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public List<StockLineModel> getRmsTaskOutstockLineList() {
        return rmsTaskOutstockLineList;
    }

    public void setRmsTaskOutstockLineList(List<StockLineModel> rmsTaskOutstockLineList) {
        this.rmsTaskOutstockLineList = rmsTaskOutstockLineList;
    }

    public Integer getPackageStatus() {
        return packageStatus;
    }

    public void setPackageStatus(Integer packageStatus) {
        this.packageStatus = packageStatus;
    }

    public String getCkType() {
        return ckType;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }
}
